<?php
require_once "SiemensXMLElement.php";

class Option extends SiemensXMLElement {
	
	const Selected = "TRUE";
	const NoneSelected = "FALSE";
	
	private $key = "";
	private $value = "";
	private $selected = null;

	public function __construct($selected = Option::NoneSelected, $key="", $value="") {
		
		$attributes = array();
		$attributes["Selected"] = $selected;
		$attributes["Key"] = $key;
		$attributes["Value"] = $value;
		
		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		
	}	
	
		
	protected function name() {
		return "Option";
	}
	
}